com.sun.jna.platform.win32

## Interface Winevt.EVT_CHANNEL_ISOLATION_TYPE

Enclosing interface:
  Winevt

    public static interface Winevt.EVT_CHANNEL_ISOLATION_TYPE

Defines the default access permissions to apply to the channel. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385502(v=vs.85).aspx

### Field Summary

Fields
`static int` `EvtChannelIsolationTypeApplication` Provides open access to the channel.
`static int` `EvtChannelIsolationTypeCustom` Provides custom access to the channel.
`static int` `EvtChannelIsolationTypeSystem` Provides restricted access to the channel and is used by applications running under system service accounts, drivers, or an application that logs events that relate to the health of the computer.

### Field Detail

#### EvtChannelIsolationTypeApplication

    static final int EvtChannelIsolationTypeApplication

Provides open access to the channel.

See Also:
  Constant Field Values

#### EvtChannelIsolationTypeSystem

    static final int EvtChannelIsolationTypeSystem

Provides restricted access to the channel and is used by applications running under system service accounts, drivers, or an application that logs events that relate to the health of the computer.

See Also:
  Constant Field Values

#### EvtChannelIsolationTypeCustom

    static final int EvtChannelIsolationTypeCustom

Provides custom access to the channel.

See Also:
  Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.